# List schedules

`GET https://api.paybeta.ng/v2/scheduled-payments`

Authentication: `P-API-KEY` header.

Paginated list, newest first. Without `status`, cancelled (archived) schedules are hidden.

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | string | no | active, processing, completed, failed, paused, cancelled (or archived) |
| `per_page` | string | yes | max 50 |
| `page` | string | yes |  |

## Response 200: Success

```json
{
    "status": "successful",
    "message": "Scheduled payments retrieved successfully",
    "data": [
        {
            "reference": "SCH-7F3K9QX2AB12",
            "service": "data",
            "service_label": "Internet Data",
            "biller": "mtn_data",
            "biller_label": "MTN Data",
            "biller_code": "mtn-1gb-30days",
            "product_name": "MTN 1GB - 30 Days",
            "customer_id": "08031234567",
            "customer_name": null,
            "amount": 1000,
            "frequency": "monthly",
            "frequency_label": "Monthly",
            "starts_at": "2026-11-01T09:00:00+01:00",
            "ends_at": null,
            "next_run_at": "2026-11-01T09:00:00+01:00",
            "status": "active",
            "failure_reason": null,
            "can_retry": false,
            "can_cancel": true,
            "can_pause": true,
            "can_pay_now": true,
            "can_resume": false,
            "resume_needs_start_at": false,
            "paused_at": null,
            "can_edit": true,
            "archived": false,
            "can_reactivate": false,
            "can_delete": false,
            "reactivation_needs_start_at": false,
            "cancelled_at": null,
            "total_runs": 0,
            "last_run_at": null,
            "last_run": null,
            "description": "Data for Mum",
            "summary": "Internet Data scheduled for the beneficiary 08031234567",
            "created_at": "2026-10-05T12:00:00+01:00"
        }
    ],
    "meta": {
        "current_page": 1,
        "last_page": 1,
        "per_page": 20,
        "total": 1
    }
}
```
